## r-cran-eco 2.2

=== DESCRIPTION ===
Package: eco
Version: 2.2-2
Date: 2006-09-23
Title: R Package for Fitting Bayesian Models of Ecological Inference in 2x2 Tables
Author: Kosuke Imai <kimai@princeton.edu>,
        Ying Lu <ylu@iq.harvard.edu>.
Maintainer: Kosuke Imai <kimai@princeton.edu>
Depends: R (>= 2.0), MASS, utils
Description: eco is a publicly available R package that fits the
             parametric and nonparametric Bayesian models for
             ecological inference in 2x2 tables. The models are fit
             using the Markov chain Monte Carlo algorithms that are
             described in Imai and Lu (2004, 2005).
LazyLoad: yes
LazyData: yes
License: GPL (version 2 or later)
URL: http://imai.princeton.edu/research/eco.html
Packaged: Sat Sep 23 14:31:01 2006; kimai

## r-cran-eco 3.1

=== DESCRIPTION ===
Package: eco
Version: 3.1-6
Date: 2012-5-29
Title: R Package for Ecological Inference in 2x2 Tables
Author: Kosuke Imai <kimai@princeton.edu>, Ying Lu <yl46@nyu.edu>,
        Aaron Strauss <abstraus@Princeton.EDU>.
Maintainer: Ying Lu <yl46@nyu.edu>
Depends: R (>= 2.0), MASS, utils
Description: eco is a publicly available R package that implements the
        Bayesian and likelihood methods proposed in Imai, Lu, and
        Strauss (2008) for ecological inference in $2 \times 2$ tables
        as well as the method of bounds introduced by Duncan and Davis
        (1953).  The package fits both parametric and nonparametric
        models using either the Expectation-Maximization algorithms
        (for likelihood models) or the Markov chain Monte Carlo
        algorithms (for Bayesian models).  For all models, the
        individual-level data can be directly incorporated into the
        estimation whenever such data are available.  Along with
        in-sample and out-of-sample predictions, the package also
        provides a functionality which allows one to quantify the
        effect of data aggregation on parameter estimation and
        hypothesis testing under the parametric likelihood models.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://imai.princeton.edu/software/eco.html
Packaged: 2012-05-29 15:44:23 UTC; kimai
Repository: CRAN
Date/Publication: 2012-06-12 06:36:54

## r-cran-eco 3.1-4

=== debian/changelog ===
r-cran-eco (3.1-4-2) unstable; urgency=low

  * Update dependencies for VR bundle split.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 12 Apr 2010 23:41:46 -0500

r-cran-eco (3.1-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 25 Jul 2009 01:28:10 -0500

r-cran-eco (3.1-2-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 16 Mar 2009 21:56:37 -0500

r-cran-eco (3.1-1-3) unstable; urgency=low

  * Rebuild for R 2.7.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 10 Apr 2008 19:20:35 -0500

r-cran-eco (3.1-1-2) unstable; urgency=low

  * Rebuild to correct for missing libRblas.so.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 Mar 2008 20:31:44 -0500

r-cran-eco (3.1-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Jul 2007 21:16:06 -0500

r-cran-eco (3.0-2-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 20 Jan 2007 21:40:35 -0600

r-cran-eco (2.2-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Sep 2006 18:15:21 -0500

r-cran-eco (2.2-1-2) unstable; urgency=low

  * Rebuild for S4 class compatibility; bump build-depends.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Sep 2006 21:31:27 -0500

r-cran-eco (2.2-1-1) unstable; urgency=low

  * Initial Release.  (Closes: #347880)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 13 Jan 2006 04:40:19 -0500

=== debian/control ===
Source: r-cran-eco
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0), r-cran-mass, cdbs
Standards-Version: 3.8.4
Homepage: http://imai.princeton.edu/research/eco.html

Package: r-cran-eco
Architecture: any
Depends: r-base-core (>= 2.10.0), ${shlibs:Depends}, r-cran-mass, ${misc:Depends}
Suggests: r-cran-mcmcpack
Description: GNU R routines for Bayesian ecological inference
 This is a set of routines for GNU R that implement Imai and Lu's
 parametric and nonparametric Bayesian ecological inference algorithms
 using Markov chain Monte Carlo estimation.  Ecological inference is a
 statistical technique designed to recover individual-level information
 from aggregate-level data.
 .
 The suggested r-cran-mcmcpack package includes other EI estimators that
 may be useful alternatives to those included in this package.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-$(cranNameLC)
## which we use for the to-be-installed-in directory
debRlib		:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
		dh_installdirs		usr/lib/R/site-library
		R CMD INSTALL -l $(debRlib) --clean .
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

clean::
		find -name '*.o' -o -name '*.so' -print0 | xargs -r0 rm -f

## r-cran-eco 3.1-6

=== debian/changelog ===
r-cran-eco (3.1-6-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.0.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 20:26:46 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0), r-cran-mass, cdbs
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Homepage: http://imai.princeton.edu/research/eco.html
 
 Package: r-cran-eco
 Architecture: any
-Depends: r-base-core (>= 2.10.0), ${shlibs:Depends}, r-cran-mass, ${misc:Depends}
+Depends: ${R:Depends}, ${shlibs:Depends}, r-cran-mass, ${misc:Depends}
 Suggests: r-cran-mcmcpack
 Description: GNU R routines for Bayesian ecological inference
  This is a set of routines for GNU R that implement Imai and Lu's

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

common-install-arch:: R_any_arch
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

clean::
		find -name '*.o' -o -name '*.so' -print0 | xargs -r0 rm -f

=== debian/watch ===
version=2
http://cran.us.r-project.org/src/contrib/eco_(.*)\.tar\.gz

## r-cran-eco 3.1-7

=== debian/changelog ===
r-cran-eco (3.1-7-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Apr 2015 21:38:57 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://imai.princeton.edu/research/eco.html
 
 Package: r-cran-eco

## r-cran-eco 4.0

=== DESCRIPTION ===
Package: eco
Version: 4.0-3
Date: 2022-11-01
Title: Ecological Inference in 2x2 Tables
Authors@R: c(
  person("Kosuke", "Imai", , "imai@Harvard.Edu", c("aut")),
  person("Ying", "Lu", , "ying.lu@nyu.edu", c("aut", "cre")),
  person("Aaron", "Strauss", , "aaronbstrauss@gmail.com", c("aut")),
  person("Hubert", "Jin", , "hubertj@princeton.edu", c("ctb"))
  )
Maintainer: Ying Lu <ying.lu@nyu.edu>
Depends: R (>= 2.0), MASS, utils
Suggests: testthat
Description: Implements the Bayesian and likelihood methods proposed 
  in Imai, Lu, and Strauss (2008 <DOI: 10.1093/pan/mpm017>) and 
  (2011 <DOI:10.18637/jss.v042.i05>) for ecological inference in 2 
  by 2 tables as well as the method of bounds introduced by Duncan and 
  Davis (1953).  The package fits both parametric and nonparametric 
  models using either the Expectation-Maximization algorithms (for 
  likelihood models) or the Markov chain Monte Carlo algorithms (for 
  Bayesian models).  For all models, the individual-level data can be 
  directly incorporated into the estimation whenever such data are available.
  Along with in-sample and out-of-sample predictions, the package also
  provides a functionality which allows one to quantify the effect of data
  aggregation on parameter estimation and hypothesis testing under the
  parametric likelihood models.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: https://github.com/kosukeimai/eco
BugReports: https://github.com/kosukeimai/eco/issues
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2022-11-03 01:20:39 UTC; kosukeimai
Author: Kosuke Imai [aut],
  Ying Lu [aut, cre],
  Aaron Strauss [aut],
  Hubert Jin [ctb]
Repository: CRAN
Date/Publication: 2022-11-03 22:00:02 UTC

## r-cran-eco 4.0-1

=== debian/changelog ===
r-cran-eco (4.0-1-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 06:42:01 +0200

r-cran-eco (4.0-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Take over packaging into Debian Science team
  * Verified d/watch and express this by setting version=4
  * cme fix dpkg-control
  * convert from cdbs to dh-r
  * debhelper 10
  * Canonical homepage of CRAN packages
  * DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 09:20:19 +0200

=== debian/control ===
Source: r-cran-eco
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Chris Lawrence <lawrencc@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-mass
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eco
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eco.git
Homepage: https://cran.r-project.org/package=eco

Package: r-cran-eco
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R routines for Bayesian ecological inference
 This is a set of routines for GNU R that implement Imai and Lu's
 parametric and nonparametric Bayesian ecological inference algorithms
 using Markov chain Monte Carlo estimation.  Ecological inference is a
 statistical technique designed to recover individual-level information
 from aggregate-level data.
 .
 The suggested r-cran-mcmcpack package includes other EI estimators that
 may be useful alternatives to those included in this package.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/eco_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-eco 4.0-3

=== debian/changelog ===
r-cran-eco (4.0-3-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:39:37 +0100

r-cran-eco (4.0-1-4) unstable; urgency=medium

  * Team upload.
  * Package ‘eco’ was removed from the CRAN repository.
    The code was obtained from the archive.
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 21:02:47 +0100

r-cran-eco (4.0-1-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 11:48:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-eco
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper (>= 11~),
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eco
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eco.git
+Homepage: https://cran.r-project.org/package=eco
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-eco
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-eco.git
-Homepage: https://cran.r-project.org/package=eco
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-eco
 Architecture: any
@@ -29,3 +30,6 @@
  .
  The suggested r-cran-mcmcpack package includes other EI estimators that
  may be useful alternatives to those included in this package.
+ .
+ Package ‘eco’ was removed from the CRAN repository.
+ The code was obtained from the archive.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/Archive/eco/eco_([-\d.]*)\.tar\.gz
#https://cloud.r-project.org/src/contrib/eco_([-\d.]*)\.tar\.gz
